﻿using Avalonia.Controls;
using avalonia_with_entity.Models;
using ReactiveUI;

namespace avalonia_with_entity.ViewModels
{
    public class MainWindowViewModel : ViewModelBase
    {
        public static _43pChernovContext database = new _43pChernovContext();

        public static MainWindowViewModel Instance;

        public MainWindowViewModel()
        {
            Instance = this;
        }

        private UserControl _page = new ShowTeachers();

        public UserControl Page 
        { 
            get => _page; 
            set => this.RaiseAndSetIfChanged(ref _page, value);
        }
    }
}
